searchData={"items":[{"type":"module","title":"MaxElixirPokeApi","doc":"MaxElixirPokeApi is a Elixir wrapper with auto caching for [PokeAPI](https://pokeapi.co/).\r\n\r\nThis package has all function explicit in [PokeAPI Doc](https://pokeapi.co/docs/v2).\r\n\r\nTo use the resources just call `MaxElixirPokeApi. (id_or_name)`.\r\n\r\nTo list resources use `MaxElixirPokeApi.resource(resource_aton, limit, page)`.\r\n\r\nIf you want to create your own logic for calling resources use `MaxElixirPokeApi.PokeAPI.fetch(resource, id_or_name)`.","ref":"MaxElixirPokeApi.html"},{"type":"module","title":"Examples - MaxElixirPokeApi","doc":"iex> MaxElixirPokeApi.berry(1)\r\n    {:ok,\r\n      %{\r\n        \"firmness\" => %{\r\n          \"name\" => \"soft\",\r\n          \"url\" => \"https://pokeapi.co/api/v2/berry-firmness/2/\"\r\n        },\r\n        \"flavors\" => [\r\n          %{\r\n            \"flavor\" => %{\r\n              \"name\" => \"spicy\",\r\n              \"url\" => \"https://pokeapi.co/api/v2/berry-flavor/1/\"\r\n            },\r\n            \"potency\" => 10\r\n          },\r\n          %{\r\n            \"flavor\" => %{\r\n              \"name\" => \"dry\",\r\n              \"url\" => \"https://pokeapi.co/api/v2/berry-flavor/2/\"\r\n            },\r\n            \"potency\" => 0\r\n          },\r\n          %{\r\n            \"flavor\" => %{\r\n              \"name\" => \"sweet\",\r\n              \"url\" => \"https://pokeapi.co/api/v2/berry-flavor/3/\"\r\n            },\r\n            \"potency\" => 0\r\n          },\r\n          %{\r\n            \"flavor\" => %{\r\n              \"name\" => \"bitter\",\r\n              \"url\" => \"https://pokeapi.co/api/v2/berry-flavor/4/\"\r\n            },\r\n            \"potency\" => 0\r\n          },\r\n          %{\r\n            \"flavor\" => %{\r\n              \"name\" => \"sour\",\r\n              \"url\" => \"https://pokeapi.co/api/v2/berry-flavor/5/\"\r\n            },\r\n            \"potency\" => 0\r\n          }\r\n        ],\r\n        \"growth_time\" => 3,\r\n        \"id\" => 1,\r\n        \"item\" => %{\r\n          \"name\" => \"cheri-berry\",\r\n          \"url\" => \"https://pokeapi.co/api/v2/item/126/\"\r\n        },\r\n        \"max_harvest\" => 5,\r\n        \"name\" => \"cheri\",\r\n        \"natural_gift_power\" => 60,\r\n        \"natural_gift_type\" => %{\r\n          \"name\" => \"fire\",\r\n          \"url\" => \"https://pokeapi.co/api/v2/type/10/\"\r\n        },\r\n        \"size\" => 20,\r\n        \"smoothness\" => 25,\r\n        \"soil_dryness\" => 15\r\n      }}\r\n\r\n    iex> MaxElixirPokeApi.resource(:berry, 5, 5)\r\n    {:ok,\r\n      %{\r\n        \"count\" => 64,\r\n        \"next\" => \"https://pokeapi.co/api/v2/berry?offset=30&limit=5\",\r\n        \"previous\" => \"https://pokeapi.co/api/v2/berry?offset=20&limit=5\",\r\n        \"results\" => [\r\n          %{\r\n            \"name\" => \"tamato\",\r\n            \"url\" => \"https://pokeapi.co/api/v2/berry/26/\"\r\n          },\r\n          %{\r\n            \"name\" => \"cornn\",\r\n            \"url\" => \"https://pokeapi.co/api/v2/berry/27/\"\r\n          },\r\n          %{\r\n            \"name\" => \"magost\",\r\n            \"url\" => \"https://pokeapi.co/api/v2/berry/28/\"\r\n          },\r\n          %{\r\n            \"name\" => \"rabuta\",\r\n            \"url\" => \"https://pokeapi.co/api/v2/berry/29/\"\r\n          },\r\n          %{\r\n            \"name\" => \"nomel\",\r\n            \"url\" => \"https://pokeapi.co/api/v2/berry/30/\"\r\n          }\r\n        ]\r\n      }}\r\n\r\n    iex> MaxElixirPokeApi.PokeAPI.fetch(\"berry\", 1)\r\n    {:ok,\r\n      %{\r\n        \"firmness\" => %{\r\n          \"name\" => \"soft\",\r\n          \"url\" => \"https://pokeapi.co/api/v2/berry-firmness/2/\"\r\n        },\r\n        \"flavors\" => [\r\n          %{\r\n            \"flavor\" => %{\r\n              \"name\" => \"spicy\",\r\n              \"url\" => \"https://pokeapi.co/api/v2/berry-flavor/1/\"\r\n            },\r\n            \"potency\" => 10\r\n          },\r\n          %{\r\n            \"flavor\" => %{\r\n              \"name\" => \"dry\",\r\n              \"url\" => \"https://pokeapi.co/api/v2/berry-flavor/2/\"\r\n            },\r\n            \"potency\" => 0\r\n          },\r\n          %{\r\n            \"flavor\" => %{\r\n              \"name\" => \"sweet\",\r\n              \"url\" => \"https://pokeapi.co/api/v2/berry-flavor/3/\"\r\n            },\r\n            \"potency\" => 0\r\n          },\r\n          %{\r\n            \"flavor\" => %{\r\n              \"name\" => \"bitter\",\r\n              \"url\" => \"https://pokeapi.co/api/v2/berry-flavor/4/\"\r\n            },\r\n            \"potency\" => 0\r\n          },\r\n          %{\r\n            \"flavor\" => %{\r\n              \"name\" => \"sour\",\r\n              \"url\" => \"https://pokeapi.co/api/v2/berry-flavor/5/\"\r\n            },\r\n            \"potency\" => 0\r\n          }\r\n        ],\r\n        \"growth_time\" => 3,\r\n        \"id\" => 1,\r\n        \"item\" => %{\r\n          \"name\" => \"cheri-berry\",\r\n          \"url\" => \"https://pokeapi.co/api/v2/item/126/\"\r\n        },\r\n        \"max_harvest\" => 5,\r\n        \"name\" => \"cheri\",\r\n        \"natural_gift_power\" => 60,\r\n        \"natural_gift_type\" => %{\r\n          \"name\" => \"fire\",\r\n          \"url\" => \"https://pokeapi.co/api/v2/type/10/\"\r\n        },\r\n        \"size\" => 20,\r\n        \"smoothness\" => 25,\r\n        \"soil_dryness\" => 15\r\n      }}","ref":"MaxElixirPokeApi.html#module-examples"},{"type":"function","title":"MaxElixirPokeApi.ability/1","doc":"Abilities provide passive effects for Pokémon in battle or in the overworld. Pokémon have multiple possible abilities but can have only one ability at a time. Check out [Bulbapedia](https://bulbapedia.bulbagarden.net/wiki/Ability) for greater detail.","ref":"MaxElixirPokeApi.html#ability/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.ability/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#ability/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.berry/1","doc":"Berries are small fruits that can provide HP and status condition restoration, stat enhancement, and even damage negation when eaten by Pokémon. Check out [Bulbapedia](https://bulbapedia.bulbagarden.net/wiki/Berry) for greater detail.","ref":"MaxElixirPokeApi.html#berry/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.berry/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify. `https://pokeapi.co/api/v2/berry/{id or name}/`","ref":"MaxElixirPokeApi.html#berry/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.berry_firmness/1","doc":"Berries can be soft or hard. Check out [Bulbapedia](https://bulbapedia.bulbagarden.net/wiki/Category:Berries_by_firmness) for greater detail.","ref":"MaxElixirPokeApi.html#berry_firmness/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.berry_firmness/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify. `https://pokeapi.co/api/v2/berry-firmness/{id or name}/`","ref":"MaxElixirPokeApi.html#berry_firmness/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.berry_flavor/1","doc":"Flavors determine whether a Pokémon will benefit or suffer from eating a berry based on their nature. Check out [Bulbapedia](https://bulbapedia.bulbagarden.net/wiki/Flavor) for greater detail.","ref":"MaxElixirPokeApi.html#berry_flavor/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.berry_flavor/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify. `https://pokeapi.co/api/v2/berry-flavor/{id or name}/`","ref":"MaxElixirPokeApi.html#berry_flavor/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.characteristic/1","doc":"Characteristics indicate which stat contains a Pokémon's highest IV. A Pokémon's Characteristic is determined by the remainder of its highest IV divided by 5 (gene_modulo). Check out [Bulbapedia](https://bulbapedia.bulbagarden.net/wiki/Characteristic) for greater detail.","ref":"MaxElixirPokeApi.html#characteristic/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.characteristic/1","doc":"- **id:** `Integer` that represents the resource identify.","ref":"MaxElixirPokeApi.html#characteristic/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.contest_effect/1","doc":"Contest effects refer to the effects of moves when used in contests.","ref":"MaxElixirPokeApi.html#contest_effect/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.contest_effect/1","doc":"- **id:** `Integer` that represents the resource identify. `https://pokeapi.co/api/v2/contest-effect/{id}/`","ref":"MaxElixirPokeApi.html#contest_effect/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.contest_type/1","doc":"Contest types are categories judges used to weigh a Pokémon's condition in Pokémon contests. Check out [Bulbapedia](https://bulbapedia.bulbagarden.net/wiki/Contest_condition) for greater detail.","ref":"MaxElixirPokeApi.html#contest_type/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.contest_type/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify. `https://pokeapi.co/api/v2/contest-type/{id or name}/`","ref":"MaxElixirPokeApi.html#contest_type/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.egg_group/1","doc":"Egg Groups are categories which determine which Pokémon are able to interbreed. Pokémon may belong to either one or two Egg Groups. Check out [Bulbapedia](https://bulbapedia.bulbagarden.net/wiki/Egg_Group) for greater detail.","ref":"MaxElixirPokeApi.html#egg_group/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.egg_group/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#egg_group/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.encounter_condition/1","doc":"Conditions which affect what pokemon might appear in the wild, e.g., day or night.","ref":"MaxElixirPokeApi.html#encounter_condition/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.encounter_condition/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify. `https://pokeapi.co/api/v2/encounter-condition/{id or name}/`","ref":"MaxElixirPokeApi.html#encounter_condition/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.encounter_condition_value/1","doc":"Encounter condition values are the various states that an encounter condition can have, i.e., time of day can be either day or night.","ref":"MaxElixirPokeApi.html#encounter_condition_value/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.encounter_condition_value/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify. `https://pokeapi.co/api/v2/encounter-condition-value/{id or name}/`","ref":"MaxElixirPokeApi.html#encounter_condition_value/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.encounter_method/1","doc":"Methods by which the player might can encounter Pokémon in the wild, e.g., walking in tall grass. Check out [Bulbapedia](https://bulbapedia.bulbagarden.net/wiki/Wild_Pok%C3%A9mon) for greater detail.","ref":"MaxElixirPokeApi.html#encounter_method/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.encounter_method/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify. `https://pokeapi.co/api/v2/encounter-method/{id or name}/`","ref":"MaxElixirPokeApi.html#encounter_method/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.evolution_chain/1","doc":"Evolution chains are essentially family trees. They start with the lowest stage within a family and detail evolution conditions for each as well as Pokémon they can evolve into up through the hierarchy.","ref":"MaxElixirPokeApi.html#evolution_chain/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.evolution_chain/1","doc":"- **id:** `Integer` that represents the resource identify. `https://pokeapi.co/api/v2/evolution-chain/{id}/`","ref":"MaxElixirPokeApi.html#evolution_chain/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.evolution_trigger/1","doc":"Evolution triggers are the events and conditions that cause a Pokémon to evolve. Check out [Bulbapedia](https://bulbapedia.bulbagarden.net/wiki/Methods_of_evolution) for greater detail.","ref":"MaxElixirPokeApi.html#evolution_trigger/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.evolution_trigger/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify. `https://pokeapi.co/api/v2/evolution-trigger/{id or name}/`","ref":"MaxElixirPokeApi.html#evolution_trigger/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.gender/1","doc":"Genders were introduced in Generation II for the purposes of breeding Pokémon but can also result in visual differences or even different evolutionary lines. Check out [Bulbapedia](https://bulbapedia.bulbagarden.net/wiki/Gender) for greater detail.","ref":"MaxElixirPokeApi.html#gender/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.gender/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#gender/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.generation/1","doc":"A generation is a grouping of the Pokémon games that separates them based on the Pokémon they include. In each generation, a new set of Pokémon, Moves, Abilities and Types that did not exist in the previous generation are released.","ref":"MaxElixirPokeApi.html#generation/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.generation/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify. `https://pokeapi.co/api/v2/generation/{id or name}/`","ref":"MaxElixirPokeApi.html#generation/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.growth_rate/1","doc":"Growth rates are the speed with which Pokémon gain levels through experience. Check out [Bulbapedia](https://bulbapedia.bulbagarden.net/wiki/Experience) for greater detail.","ref":"MaxElixirPokeApi.html#growth_rate/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.growth_rate/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#growth_rate/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.item/1","doc":"An item is an object in the games which the player can pick up, keep in their bag, and use in some manner. They have various uses, including healing, powering up, helping catch Pokémon, or to access a new area.","ref":"MaxElixirPokeApi.html#item/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.item/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify. `https://pokeapi.co/api/v2/item/{id or name}/`","ref":"MaxElixirPokeApi.html#item/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.item_attribute/1","doc":"Item attributes define particular aspects of items, e.g. \"usable in battle\" or \"consumable\".","ref":"MaxElixirPokeApi.html#item_attribute/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.item_attribute/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify. `https://pokeapi.co/api/v2/item-attribute/{id or name}/`","ref":"MaxElixirPokeApi.html#item_attribute/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.item_category/1","doc":"Item categories determine where items will be placed in the players bag.","ref":"MaxElixirPokeApi.html#item_category/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.item_category/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify. `https://pokeapi.co/api/v2/item-category/{id or name}/`","ref":"MaxElixirPokeApi.html#item_category/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.item_fling_effect/1","doc":"The various effects of the move \"Fling\" when used with different items.","ref":"MaxElixirPokeApi.html#item_fling_effect/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.item_fling_effect/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify. `https://pokeapi.co/api/v2/item-fling-effect/{id or name}/`","ref":"MaxElixirPokeApi.html#item_fling_effect/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.item_pocket/1","doc":"Pockets within the players bag used for storing items by category.","ref":"MaxElixirPokeApi.html#item_pocket/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.item_pocket/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify. `https://pokeapi.co/api/v2/item-pocket/{id or name}/`","ref":"MaxElixirPokeApi.html#item_pocket/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.language/1","doc":"Languages for translations of API resource information.","ref":"MaxElixirPokeApi.html#language/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.language/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#language/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.location/1","doc":"Locations that can be visited within the games. Locations make up sizable portions of regions, like cities or routes.","ref":"MaxElixirPokeApi.html#location/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.location/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify.","ref":"MaxElixirPokeApi.html#location/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.location_area/1","doc":"Location areas are sections of areas, such as floors in a building or cave. Each area has its own set of possible Pokémon encounters.","ref":"MaxElixirPokeApi.html#location_area/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.location_area/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#location_area/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.machine/1","doc":"Machines are the representation of items that teach moves to Pokémon. They vary from version to version, so it is not certain that one specific TM or HM corresponds to a single Machine.","ref":"MaxElixirPokeApi.html#machine/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.machine/1","doc":"- **id:** `Integer` that represents the resource identify.","ref":"MaxElixirPokeApi.html#machine/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.move/1","doc":"Moves are the skills of Pokémon in battle. In battle, a Pokémon uses one move each turn. Some moves (including those learned by Hidden Machine) can be used outside of battle as well, usually for the purpose of removing obstacles or exploring new areas.","ref":"MaxElixirPokeApi.html#move/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.move/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#move/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.move_ailment/1","doc":"Move Ailments are status conditions caused by moves used during battle. See [Bulbapedia](https://bulbapedia.bulbagarden.net/wiki/Status_condition) for greater detail.","ref":"MaxElixirPokeApi.html#move_ailment/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.move_ailment/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#move_ailment/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.move_battle_style/1","doc":"Styles of moves when used in the Battle Palace. See [Bulbapedia](http://bulbapedia.bulbagarden.net/wiki/Battle_Frontier_(Generation_III)) for greater detail.","ref":"MaxElixirPokeApi.html#move_battle_style/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.move_battle_style/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#move_battle_style/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.move_category/1","doc":"Very general categories that loosely group move effects.","ref":"MaxElixirPokeApi.html#move_category/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.move_category/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#move_category/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.move_damage_class/1","doc":"Damage classes moves can have, e.g. physical, special, or non-damaging.","ref":"MaxElixirPokeApi.html#move_damage_class/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.move_damage_class/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#move_damage_class/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.move_learn_method/1","doc":"Methods by which Pokémon can learn moves.","ref":"MaxElixirPokeApi.html#move_learn_method/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.move_learn_method/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#move_learn_method/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.move_target/1","doc":"Targets moves can be directed at during battle. Targets can be Pokémon, environments or even other moves.","ref":"MaxElixirPokeApi.html#move_target/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.move_target/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#move_target/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.nature/1","doc":"Natures influence how a Pokémon's stats grow. See [Bulbapedia](https://bulbapedia.bulbagarden.net/wiki/Nature) for greater detail.","ref":"MaxElixirPokeApi.html#nature/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.nature/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#nature/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.pal_park_area/1","doc":"Areas used for grouping Pokémon encounters in Pal Park. They're like habitats that are specific to [Pal Park](https://bulbapedia.bulbagarden.net/wiki/Pal_Park).","ref":"MaxElixirPokeApi.html#pal_park_area/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.pal_park_area/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#pal_park_area/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.pokeathlon_stat/1","doc":"Pokeathlon Stats are different attributes of a Pokémon's performance in Pokéathlons. In Pokéathlons, competitions happen on different courses; one for each of the different Pokéathlon stats. See [Bulbapedia](https://bulbapedia.bulbagarden.net/wiki/Pok%C3%A9athlon) for greater detail.","ref":"MaxElixirPokeApi.html#pokeathlon_stat/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.pokeathlon_stat/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#pokeathlon_stat/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.pokedex/1","doc":"A Pokédex is a handheld electronic encyclopedia device; one which is capable of recording and retaining information of the various Pokémon in a given region with the exception of the national dex and some smaller dexes related to portions of a region. See [Bulbapedia](https://bulbapedia.bulbagarden.net/wiki/Pok%C3%A9dex) for greater detail.","ref":"MaxElixirPokeApi.html#pokedex/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.pokedex/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify. `https://pokeapi.co/api/v2/pokedex/{id or name}/`","ref":"MaxElixirPokeApi.html#pokedex/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.pokemon/1","doc":"Pokémon are the creatures that inhabit the world of the Pokémon games. They can be caught using Pokéballs and trained by battling with other Pokémon. Each Pokémon belongs to a specific species but may take on a variant which makes it differ from other Pokémon of the same species, such as base stats, available abilities and typings. See [Bulbapedia](https://bulbapedia.bulbagarden.net/wiki/Pok%C3%A9mon_(species)) for greater detail.","ref":"MaxElixirPokeApi.html#pokemon/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.pokemon/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#pokemon/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.pokemon_color/1","doc":"Colors used for sorting Pokémon in a Pokédex. The color listed in the Pokédex is usually the color most apparent or covering each Pokémon's body. No orange category exists; Pokémon that are primarily orange are listed as red or brown.","ref":"MaxElixirPokeApi.html#pokemon_color/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.pokemon_color/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#pokemon_color/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.pokemon_form/1","doc":"Some Pokémon may appear in one of multiple, visually different forms. These differences are purely cosmetic. For variations within a Pokémon species, which do differ in more than just visuals, the 'Pokémon' entity is used to represent such a variety.","ref":"MaxElixirPokeApi.html#pokemon_form/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.pokemon_form/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#pokemon_form/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.pokemon_habitat/1","doc":"Habitats are generally different terrain Pokémon can be found in but can also be areas designated for rare or legendary Pokémon.","ref":"MaxElixirPokeApi.html#pokemon_habitat/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.pokemon_habitat/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#pokemon_habitat/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.pokemon_shape/1","doc":"Shapes used for sorting Pokémon in a Pokédex.","ref":"MaxElixirPokeApi.html#pokemon_shape/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.pokemon_shape/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#pokemon_shape/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.pokemon_species/1","doc":"A Pokémon Species forms the basis for at least one Pokémon. Attributes of a Pokémon species are shared across all varieties of Pokémon within the species. A good example is Wormadam; Wormadam is the species which can be found in three different varieties, Wormadam-Trash, Wormadam-Sandy and Wormadam-Plant.","ref":"MaxElixirPokeApi.html#pokemon_species/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.pokemon_species/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#pokemon_species/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.region/1","doc":"A region is an organized area of the Pokémon world. Most often, the main difference between regions is the species of Pokémon that can be encountered within them.","ref":"MaxElixirPokeApi.html#region/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.region/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#region/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.resource/3","doc":"Return a paginated list of available resources for that API. By default, a list \"page\" will contain up to 20 resources.","ref":"MaxElixirPokeApi.html#resource/3"},{"type":"function","title":"Parameters - MaxElixirPokeApi.resource/3","doc":"- **name:** `Atom` [`@resources_list`] that represents the resource from Poke API.","ref":"MaxElixirPokeApi.html#resource/3-parameters"},{"type":"function","title":"MaxElixirPokeApi.stat/1","doc":"Stats determine certain aspects of battles. Each Pokémon has a value for each stat which grows as they gain levels and can be altered momentarily by effects in battles.","ref":"MaxElixirPokeApi.html#stat/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.stat/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#stat/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.super_contest_effect/1","doc":"Super contest effects refer to the effects of moves when used in super contests.","ref":"MaxElixirPokeApi.html#super_contest_effect/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.super_contest_effect/1","doc":"- **id:** `Integer` that represents the resource identify. `https://pokeapi.co/api/v2/super-contest-effect/{id}/`","ref":"MaxElixirPokeApi.html#super_contest_effect/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.type/1","doc":"Types are properties for Pokémon and their moves. Each type has three properties: which types of Pokémon it is super effective against, which types of Pokémon it is not very effective against, and which types of Pokémon it is completely ineffective against.","ref":"MaxElixirPokeApi.html#type/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.type/1","doc":"- **id_or_name:** `t:id_or_name/0`","ref":"MaxElixirPokeApi.html#type/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.version/1","doc":"Versions of the games, e.g., Red, Blue or Yellow.","ref":"MaxElixirPokeApi.html#version/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.version/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify. `https://pokeapi.co/api/v2/version/{id or name}/`","ref":"MaxElixirPokeApi.html#version/1-parameters"},{"type":"function","title":"MaxElixirPokeApi.version_group/1","doc":"Version groups categorize highly similar versions of the games.","ref":"MaxElixirPokeApi.html#version_group/1"},{"type":"function","title":"Parameters - MaxElixirPokeApi.version_group/1","doc":"- **id_or_name:** `Integer` or `String` that represents the resource identify. `https://pokeapi.co/api/v2/version-group/{id or name}/`","ref":"MaxElixirPokeApi.html#version_group/1-parameters"},{"type":"type","title":"MaxElixirPokeApi.id_or_name/0","doc":"","ref":"MaxElixirPokeApi.html#t:id_or_name/0"},{"type":"type","title":"MaxElixirPokeApi.response/0","doc":"","ref":"MaxElixirPokeApi.html#t:response/0"},{"type":"behaviour","title":"MaxElixirPokeApi.Behaviour","doc":"Behaviour from MaxElixirPokeApi.","ref":"MaxElixirPokeApi.Behaviour.html"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.ability/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:ability/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.berry/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:berry/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.berry_firmness/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:berry_firmness/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.berry_flavor/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:berry_flavor/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.characteristic/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:characteristic/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.contest_effect/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:contest_effect/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.contest_type/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:contest_type/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.egg_group/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:egg_group/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.encounter_condition/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:encounter_condition/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.encounter_condition_value/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:encounter_condition_value/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.encounter_method/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:encounter_method/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.evolution_chain/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:evolution_chain/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.evolution_trigger/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:evolution_trigger/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.gender/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:gender/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.generation/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:generation/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.growth_rate/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:growth_rate/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.item/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:item/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.item_attribute/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:item_attribute/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.item_category/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:item_category/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.item_fling_effect/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:item_fling_effect/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.item_pocket/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:item_pocket/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.language/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:language/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.location/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:location/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.location_area/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:location_area/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.machine/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:machine/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.move/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:move/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.move_ailment/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:move_ailment/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.move_battle_style/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:move_battle_style/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.move_category/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:move_category/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.move_damage_class/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:move_damage_class/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.move_learn_method/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:move_learn_method/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.move_target/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:move_target/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.nature/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:nature/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.pal_park_area/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:pal_park_area/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.pokeathlon_stat/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:pokeathlon_stat/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.pokedex/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:pokedex/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.pokemon/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:pokemon/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.pokemon_color/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:pokemon_color/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.pokemon_form/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:pokemon_form/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.pokemon_habitat/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:pokemon_habitat/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.pokemon_shape/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:pokemon_shape/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.pokemon_species/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:pokemon_species/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.region/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:region/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.resource/3","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:resource/3"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.stat/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:stat/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.super_contest_effect/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:super_contest_effect/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.type/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:type/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.version/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:version/1"},{"type":"callback","title":"MaxElixirPokeApi.Behaviour.version_group/1","doc":"","ref":"MaxElixirPokeApi.Behaviour.html#c:version_group/1"},{"type":"type","title":"MaxElixirPokeApi.Behaviour.id_or_name/0","doc":"Identifier as `{id or name}` used in `https://pokeapi.co/api/v2/{resource}/{id or name}/`","ref":"MaxElixirPokeApi.Behaviour.html#t:id_or_name/0"},{"type":"type","title":"MaxElixirPokeApi.Behaviour.response/0","doc":"Response from lib functions","ref":"MaxElixirPokeApi.Behaviour.html#t:response/0"}],"content_type":"text/markdown"}